Subject: Re: [PATCH v2] doc: add caveat about roundtripping format-patch

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2026 14:59:31 -0800

[email-masked] writes:

> diff --git a/Documentation/format-patch-caveats.adoc b/Documentation/format-patch-caveats.adoc
> new file mode 100644
> index 00000000000..c666d709742
> --- /dev/null
> +++ b/Documentation/format-patch-caveats.adoc
> @@ -0,0 +1,36 @@
> +Patches produced by linkgit:git-format-patch[1] are inline. This means
> +that the output from that command can lead to a different commit message
> +when applied with linkgit:git-am[1]. It can also mean that the patch
> +that is applied is not the same as the one that was generated, or that
> +the patch application fails outright.
> +ifdef::git-am[]
> +See the <<discussion,DISCUSSION>> section above for the syntactic rules.
> +endif::git-am[]

It is news to me that adjective "inline" has such a meaning.

Whenever I see somebody writes "X. This means Y", I try to see if it
makes the result easier to understand to more people by just saying
"Y" without mentioning X, and to me, this is such an occasion.  I'd
rather see that sentence, plus "This means", taken away.